Summary:        Graphical user interface for GnuPG
Name:           gpa
Version:        0.6.1
Release:        0.fdr.3.rh80
Epoch:          0
License:        GPL
Group:          Applications/System
URL:            http://www.gnupg.org/related_software/gpa/
Source0:        http://ftp.gnupg.org/gcrypt/alpha/gpa/gpa-0.6.1.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  gtk2-devel >= 0:2.0.0, zlib-devel
BuildRequires:  gnupg >= 0:1.2.1-3, gpgme-devel >= 0:0.4.0

%description
The GNU Privacy Assistant is a graphical user interface for the GNU
Privacy Guard (GnuPG). GnuPG is a system that provides you with
privacy by encrypting emails or other documents and with
authentication of received files by signature management.

# -----------------------------------------------------------------------------

%prep
%setup -q

# -----------------------------------------------------------------------------

%build
%configure
make %{?_smp_mflags}

# -----------------------------------------------------------------------------

%install
rm -rf %{buildroot}
%makeinstall
mkdir -p %{buildroot}%{_datadir}/{applications,pixmaps}
cp -p %{SOURCE1} \
  %{buildroot}%{_datadir}/applications/fedora-%{name}.desktop
cp -p %{SOURCE2} %{buildroot}%{_datadir}/pixmaps/%{name}.png
%find_lang %{name}

# -----------------------------------------------------------------------------

%clean
rm -rf %{buildroot}

# -----------------------------------------------------------------------------

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README* THANKS TODO VERSION
%{_bindir}/*
%{_datadir}/gpa
%attr(0644,root,root) %{_datadir}/applications/*
%attr(0644,root,root) %{_datadir}/pixmaps/*

# -----------------------------------------------------------------------------

%changelog
* Tue Mar 25 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.3
- Fix icon in desktop entry (#64).
- Don't include INSTALL in %doc.

* Sun Mar 23 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.2
- BuildRequire gnupg >= 1.2.1-3 for LDAP and HKP support.
- Add icon for the desktop entry (#64).

* Sat Mar 22 2003 Ville Skytt <ville.skytta at iki.fi> - 0:0.6.1-0.fdr.1
- Update to current Fedora guidelines.

* Wed Feb 12 2003 Warren Togami <warren@togami.com> 0.6.1-1.fedora.2
- Add BuildRequires zlib-devel

* Sun Feb  9 2003 Ville Skytt <ville.skytta at iki.fi> - 0.6.1-1cr
- First Fedora release.
